//+------------------------------------------------------------------+
//|                                                      GV_Test.mq5 |
//|                        Copyright 2011, MetaQuotes Software Corp. |
//|                                              http://www.mql5.com |
//+------------------------------------------------------------------+
#property copyright "Copyright 2011, MetaQuotes Software Corp."
#property link      "http://www.mql5.com"
#property version   "1.00"

#include <gv.mqh>
CGV TestGV;
//+------------------------------------------------------------------+
//| Script program start function                                    |
//+------------------------------------------------------------------+
void OnStart()
  {
//--- create a global variable of client terminal
  TestGV.Create("TestVar1",true);
//--- print name
  Print("Name=",TestGV.Name());
//--- set value (pi)
  TestGV.Set(M_PI);
//--- declare variable of double type
  double ptest;
//--- put the value of global variable to ptest
  TestGV.Get(ptest);
//--- show result
  Print("Value=",DoubleToString(ptest,12));
//--- 
  Alert("Press F3 in MetaTrader 5 to see the current global variables");
//--- some delay 
  Sleep(10000);
//--- delete global variable of client terminal
  TestGV.Delete();
//--- note that variable will be deleted after the object destruction
  }
//+------------------------------------------------------------------+
